跳至內容

PixVerse Swap

整合

模型 id pixverse/swap
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/pixverse/swap?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

像範例一樣的檔案: $0.40 400 API 點數 您的檔案會在執行前計量 在此頁面執行

取得 API 金鑰
PixVerse · 影片

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填 video_url
拖放檔案,或

用於置換操作的外部影片 URL。

•必填 image_url
拖放檔案,或

置換操作的目標圖像 URL。

resolution 預設 720p

輸出解析度;不提供 1080p。

進階 mode · keyframe_id · seed · original_sound_switch · enable_safety_checker
mode 預設 person

置換操作使用的模式。

預設 1

臉部/物件對應的影格 ID,在 1 到 (duration_seconds * 24) 之間選取。ID 指的是輸入內容正規化為 24 FPS 後的影格,因此 1 代表第一個影格,24 代表影片開始後 1 秒的影格。

控制生成期間隨機性的種子。

POST /run/pixverse/swap?wait=20 報價 → $0.40
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/pixverse/swap?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 PixVerse Swap

接受來源影片和目標圖像,依據 `mode` 將圖像置換進去:person、object 或 背景。`keyframe_id` 選擇用於映射的影格,以 24 FPS 計算。輸出解析度為 360p、540p 或 720p,`original_sound_switch` 可保留原始音訊。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
video_url必填 video
類型url · video
用於置換操作的外部影片 URL。
mode選填
類型enum
預設值person
personobjectbackground
置換操作使用的模式。
keyframe_id選填
類型integer
預設值1
≥ 1
臉部/物件對應的影格 ID,在 1 到 (duration_seconds * 24) 之間選取。ID 指的是輸入內容正規化為 24 FPS 後的影格,因此 1 代表第一個影格,24 代表影片開始後 1 秒的影格。
image_url必填 image
類型url · image
置換操作的目標圖像 URL。
resolution選填
類型enum
預設值720p
360p540p720p
輸出解析度;不提供 1080p。
seed選填
類型integer | null
控制生成期間隨機性的種子。
original_sound_switch選填
類型boolean
預設值true
控制是否保留原始音訊。
enable_safety_checker選填
類型boolean
預設值true
在呼叫端獲得授權的情況下,將此值設為 false 可放寬審核。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "pixverse/swap",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 400,
    "usd": "0.40",
    "charged": 400,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
video
object {url, content_type, file_name, file_size}置換操作產生的影片。

更多模型:圖像轉影片

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/pixverse/swap.md. 所有模型與指南: https://doitong.com/developers/llms.txt